ChangeSet 1.1093.2.11, 2003/05/14 11:54:15-07:00, akpm@digeo.com

[PATCH] USB: net2280 writel fix

This driver is doing a writel to some random u32, rather than to a device
register.


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Wed May 14 12:29:18 2003
+++ b/drivers/usb/gadget/net2280.c	Wed May 14 12:29:18 2003
@@ -1278,7 +1278,7 @@
 	if (!_gadget)
 		return 0;
 	dev = container_of (_gadget, struct net2280, gadget);
-	writel (1 << GENERATE_RESUME, dev->usb->usbstat);
+	writel (1 << GENERATE_RESUME, &dev->usb->usbstat);
 
 	/* pci writes may still be posted */
 	return 0;
